#include "StdAfx.h"
#include "RectangleShape.h"
#include <GdiPlus.h>
#include "GDIPlusDC.h"

#include "ScriptletConstant.h"

REGISTER_COMPONENT_CREATOR(SCRIPTLET_RECTANGLE_NODE, CRectangleShape);
IMPLEMENT_RTTI(CRectangleShape, CDrawingShape)
CRectangleShape::CRectangleShape(void)
{
	m_clrBack = RGB(0xff, 0xff, 0xff);
}

CRectangleShape::~CRectangleShape(void)
{
}
void CRectangleShape::SetBackground(COLORREF clrBack)
{
	m_clrBack = clrBack;
}
void CRectangleShape::DrawComponent(HDC hDC)
{
	CRect rcClient;
	GetDrawingBounds(&rcClient);

	CGDIPlusDC dc(hDC);
	dc.FillSolidRect(&rcClient, m_clrBack);
}